# (Deprecated) How to read GST error response

ClearTax Error response will always tell you 2 things:

1. What is the error?
2. Where is the error?

You can get this error responce with different HTTP status code based on the API you are consuming. Example: You can get it with `400` Bad Request or with `200` OK

The `errors`object under `errorResponse`will always have the list of errors found in your payload. The `message` will explain what the error is and it's always paired with the `error_id`

![Error response](/files/-M7lPaeGGQqJ0h6h0saa)

The `error_sources` object will direct you to the specific field in which the error was found.

![](/files/-M7lQjRzTu8CNHhkcJ_L)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cleartax.in/cleartax-docs/gst-api-1/gst-api-reference/resources-and-masters/error-response-master.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
